Loading...
Searching...
No Matches
elements.cpp File Reference
`#include <openbabel/elements.h>`
`#include <vector>`
`#include "elementtable.h"`

## Namespaces

namespace | OpenBabel
namespace | OpenBabel::OBElements

## Macros

#define | NUMELEMENTS 118
#define | ELEMTABLE(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O)
#define | ELEMTABLE(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O)
#define | ELEMTABLE(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O)
#define | ELEMTABLE(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O)
#define | ELEMTABLE(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O)
#define | ELEMTABLE(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O)
#define | ELEMTABLE(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O)
#define | ELEMTABLE(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O)
#define | ELEMTABLE(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O)
#define | ELEMTABLE(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O)
#define | ELEMTABLE(A, B, C, D, E, F, G, H, I, J, K, L, M, N, O)

## Functions

const char * | GetSymbol (unsigned int atomic_number)
const char * | GetName (unsigned int atomic_number)
double | GetMass (unsigned int atomic_number)
double | GetAllredRochowElectroNeg (unsigned int atomic_number)
double | GetCovalentRad (unsigned int atomic_number)
double | GetVdwRad (unsigned int atomic_number)
double | GetElectronAffinity (unsigned int atomic_number)
double | GetIonization (unsigned int atomic_number)
unsigned int | GetMaxBonds (unsigned int atomic_number)
double | GetElectroNeg (unsigned int atomic_number)
void | GetRGB (unsigned int atomic_number, double *r, double *g, double *b)
unsigned int | GetAtomicNum (const char *ptr)
double | GetExactMass (unsigned int atomic_number, unsigned int isotope=0)

## Variables

const char * | element_symbols [NUMELEMENTS+1]
double | eneg_allred [NUMELEMENTS+1]
double | cov_rad [NUMELEMENTS+1]
double | vdw_rad [NUMELEMENTS+1]
unsigned int | maxbonds [NUMELEMENTS+1]
double | atomic_mass [NUMELEMENTS+1]
double | eneg_pauling [NUMELEMENTS+1]
double | ionization [NUMELEMENTS+1]
double | electron_affinity [NUMELEMENTS+1]
double | rgb [NUMELEMENTS+1][3]
const char * | element_name [NUMELEMENTS+1]

## Macro Definition Documentation

## NUMELEMENTS

#define NUMELEMENTS 118

Referenced by OpenBabel::OBElements::GetAllredRochowElectroNeg(), OpenBabel::OBElements::GetCovalentRad(), OpenBabel::OBElements::GetElectronAffinity(), OpenBabel::OBElements::GetElectroNeg(), OpenBabel::OBElements::GetIonization(), OpenBabel::OBElements::GetMass(), OpenBabel::OBElements::GetMaxBonds(), OpenBabel::OBElements::GetName(), OpenBabel::OBElements::GetRGB(), OpenBabel::OBElements::GetSymbol(), and OpenBabel::OBElements::GetVdwRad().

## ELEMTABLE [1/11]

#define ELEMTABLE | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | I,
|  |  | J,
|  |  | K,
|  |  | L,
|  |  | M,
|  |  | N,
|  |  | O )

Value:
#B

## ELEMTABLE [2/11]

#define ELEMTABLE | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | I,
|  |  | J,
|  |  | K,
|  |  | L,
|  |  | M,
|  |  | N,
|  |  | O )

Value:
C

## ELEMTABLE [3/11]

#define ELEMTABLE | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | I,
|  |  | J,
|  |  | K,
|  |  | L,
|  |  | M,
|  |  | N,
|  |  | O )

Value:
D

## ELEMTABLE [4/11]

#define ELEMTABLE | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | I,
|  |  | J,
|  |  | K,
|  |  | L,
|  |  | M,
|  |  | N,
|  |  | O )

Value:
F

## ELEMTABLE [5/11]

#define ELEMTABLE | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | I,
|  |  | J,
|  |  | K,
|  |  | L,
|  |  | M,
|  |  | N,
|  |  | O )

Value:
G

## ELEMTABLE [6/11]

#define ELEMTABLE | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | I,
|  |  | J,
|  |  | K,
|  |  | L,
|  |  | M,
|  |  | N,
|  |  | O )

Value:
H

## ELEMTABLE [7/11]

#define ELEMTABLE | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | I,
|  |  | J,
|  |  | K,
|  |  | L,
|  |  | M,
|  |  | N,
|  |  | O )

Value:
I

## ELEMTABLE [8/11]

#define ELEMTABLE | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | I,
|  |  | J,
|  |  | K,
|  |  | L,
|  |  | M,
|  |  | N,
|  |  | O )

Value:
J

## ELEMTABLE [9/11]

#define ELEMTABLE | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | I,
|  |  | J,
|  |  | K,
|  |  | L,
|  |  | M,
|  |  | N,
|  |  | O )

Value:
K

## ELEMTABLE [10/11]

#define ELEMTABLE | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | I,
|  |  | J,
|  |  | K,
|  |  | L,
|  |  | M,
|  |  | N,
|  |  | O )

Value:
{L, M, N}

## ELEMTABLE [11/11]

#define ELEMTABLE | ( |  | A,
|  |  | B,
|  |  | C,
|  |  | D,
|  |  | E,
|  |  | F,
|  |  | G,
|  |  | H,
|  |  | I,
|  |  | J,
|  |  | K,
|  |  | L,
|  |  | M,
|  |  | N,
|  |  | O )

Value:
#O

## Variable Documentation

## element_symbols

const char* element_symbols[NUMELEMENTS+1]

Referenced by OpenBabel::OBElements::GetSymbol().

## eneg_allred

double eneg_allred[NUMELEMENTS+1]

Referenced by OpenBabel::OBElements::GetAllredRochowElectroNeg().

## cov_rad

double cov_rad[NUMELEMENTS+1]

Referenced by OpenBabel::OBElements::GetCovalentRad().

## vdw_rad

double vdw_rad[NUMELEMENTS+1]

Referenced by OpenBabel::OBElements::GetVdwRad().

## maxbonds

unsigned int maxbonds[NUMELEMENTS+1]

Referenced by OpenBabel::OBElements::GetMaxBonds().

## atomic_mass

double atomic_mass[NUMELEMENTS+1]

Referenced by OpenBabel::OBElements::GetMass().

## eneg_pauling

double eneg_pauling[NUMELEMENTS+1]

Referenced by OpenBabel::OBElements::GetElectroNeg().

## ionization

double ionization[NUMELEMENTS+1]

Referenced by OpenBabel::OBElements::GetIonization().

## electron_affinity

double electron_affinity[NUMELEMENTS+1]

Referenced by OpenBabel::OBElements::GetElectronAffinity().

## rgb

double rgb[NUMELEMENTS+1][3]

Referenced by OpenBabel::OBElements::GetRGB().

## element_name

const char* element_name[NUMELEMENTS+1]

Referenced by OpenBabel::OBElements::GetName().